Name:           hg-evolve
Version:        11.1.4
Release:        1%{?dist}
Summary:        Flexible evolution of Mercurial history
License:        GPLv2+
URL:            https://www.mercurial-scm.org/doc/evolution/
Source0:        https://pypi.python.org/packages/source/h/hg-evolve/hg-evolve-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  mercurial
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       mercurial
Supplements:    mercurial

%description
This package supplies the evolve extension for Mercurial,
The full implementation of the changeset evolution concept is still in progress.
Please subscribe to the evolve-testers mailing list to stay up to date with changes.
This extension:
 - enables the “changeset evolution” feature of core Mercurial,
 - provides a set of commands to rewrite history in a distributed way,
 - issues various warning messages when “troubles” from changeset evolution appear in your repository,
 - provides an hg evolve command to deal with such troubles,
 - improves performance of obsolescence marker exchange and discovery during push and pull.

%prep
%setup -q
rm -frv *.egg-info

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst
%license COPYING
%{python3_sitelib}/hgext3rd/
%{python3_sitelib}/*.egg-info

%changelog
* Tue Sep 17 2024 Romain DEP. <rom1dep@gmail.com> - 11.1.4-1
- hg-evolve 11.1.4

* Sun Mar 06 2022 Romain DEP. <rom1dep@gmail.com> - 10.5.0-1
- hg-evolve 10.5.0

* Sun Aug 29 2021 Romain DEP. <rom1dep@gmail.com> - 10.3.3-1
- Initial package.
